Welcome

InterOp
Tired of having four or more instant messengers open so you can chat with all your friends? So were we, and that's why we built InterOperability into the IM2. Provided you have an account with any of the messengers listed below, IM2 allows you to access those accounts and talk to all of your friends with just one messaging program! We support InterOp with AIM, ICQ, IRC, MSN and Yahoo!.

Skins
IM2 is fully skinnable. Main window, all chat windows and all console windows are skinnable. You can download skins from our site here or you can create your own custom skin. For more information about building of custom skin put your request on our forum and we will give all the detailed instructions.

IM2 multimedia features over native IM protocols
MSN IM2-to-IM2 voice chat - you can invite your fiend that using IM2 to voice chat by clicking only one button at the chat-window. For now only peer-to-peer voice chat over the native MSN is available, but we are working on conference mode for IM2 voice features.

IM2 secure messaging
IM2 allows you secure messaing with your friends, who using IM2. Secure messaging mode guarantee you and your friends that your messages cannot be readed by others. Secure messaging available over all messaging clients in IM2 - AIM, ICQ, IRC, MSN and Yahoo. One important point - secure messaging over the MSN IM available only in one-to-one mode.

Multilingual
Download IM2 lanuage pack containing translation in your preffered language here. Or create your custom IM2 translation. We have worked hard in providing a local language version of IM2 so you are not forced to feel like a foreigner on your own PC. With IM2, you can now hold chat with your friends on AIM, ICQ, IRC, MSN or Yahoo!, all through one messenger.

File Transfer
IM2 supports native AIM, ICQ, IRC, MSN and Yahoo file transfer. You can send and receive file from native IM2 users and from third-party IM software users.

IM2 File Sharing
IM2 allows you to share files and folders between you and your friends who use IM2 software. You can share some local folders on your PC for all buddies in your contact list and set up common security permissions for those folders. Or you can share personalized folders for each buddy in you contact list, and of course, you can set up personal security permissions for each buddy in your contact list.

Set Status
IM2 allows users to set their status whether it is "away", "out to lunch" or "brb" for IM2 and all InterOp IMs. You can set each IM's status individually or globally.

Screen Name is typing...
Now you can see when your buddie is typing. This feature works on all InterOp IM's in IM2.

Emoticons
The new IM2 emoticons are more playful, and correctly map to other IM programs.

Other features
IM2 provides many other usefull and cool features that you can see when you will download and install our software.

(C) IM2.com, 2004


Version History

Legend
 | Newly added feature
 | Changed, reviewed, modified feature
 | Feature that is under construction now and will released any time later
 | Very important error or bug was fixed
 | One of the reported errors or bugs was fixed
Versions
1.4 Release - release date: 1.11.2004
1.3 Release - release date: 17.09.2004
1.2 Release - release date: 20.08.2004
1.1 Release - release date: 4.08.2004
1.0 Release - release date: 1.07.2004
0.99 Release Candidate 2 - release date: 12.06.2004
0.99 Release Candidate - release date: 1.06.2004
0.90 pre-Release Candidate - release date: 30.04.2004
0.40 beta - release date: 17.04.2004
0.35 beta - release date: 2.04.2004
0.34 beta - release date: 1.04.2004
0.33 beta - release date: 24.03.2004
0.32 beta - release date: 19.03.2004
0.31 beta - release date: 16.03.2004
0.3 beta - release date: 13.03.2004
0.2 beta - release date: 6.03.2004
0.1 beta - release date: 1.03.2004
0.1 alpha - release date: 10.02.2004
version 1.4 Release - 1.11.2004
 | Kernel: Add "incoming e-Mail" sound event.
 | Kernel: Add pre-parsing smiles and showing them to message sender.
 | Kernel: Add multiple File Transfer for all IM clients in IM2.
 | Kernel: Add ability to setup contact list sorting order.
 | Kernel: Add ability to setup IP addresses visible/invisible mode.
 | Kernel: Finish localization module and preparation for IM2 translation.
 | Kernel: Add system tray blinking icons to incoming chat message and incoming email.
 | Skins : Add HiTech skin.
 | Skins : Add DarkAge skin.
 | Skins : Add Eleanor-Basic skin.
 | Skins : Add Eleanor-Silver skin.
 | Skins : Add Eleanor-Empty Space skin.
 | Yahoo : Add Yahoo authorization request window.
 | Yahoo : Fix Yahoo ignore list processing.
 | Yahoo : Make a complete Yahoo module review and fix alot of minor and major bugs.
 | Kernel : Fix selection and storing account connection status.
 | Kernel : Make File Transfer for all IM clients in IM2 more stable.
 | Kernel : Fix bug with disappearing typing area in chat windows.
 | Kernel : Make audio/video flows more stable and lower in CPU usage.
 | Kernel : Fix bug with changing fonts and colors in main IM2 preferences and applying them to all chat windows.
 | Kernel : Fix bug with parsing and showing quotation marks in chat windows.
 | Kernel : Fix bug with showing/hiding protocols, accounts, goups, etc in main window.
 | Kernel : Fix bug with sender and receiver names in file transfer progress windows.
 | Kernel : Fix trouble with resizing main and chat windows.
 | Kernel : Fix notification timeout checking procedure and hiding corresponding window.
 | Kernel : Minor and major kernel bugfixing.
 | Updater tool: Fix "Files in use" trouble and make updater tool completely independent from installed IM2 files.
 | Kernel : Change default settings for "Client always on top" option.
 | Kernel : Change local (in chat window) sounds enabling/disabling method.
 | Kernel : Make most inportant windows in IM2 showing on top of all other screen windows.
 | Kernel : Change and add some help messages in user profile windows.
 | Kernel : Change all spellings to Instant Messenger 2 as a complete project title.
 | Kernel : Change main IM2 splash screen and main IM2 icon.
 | Kernel : Change and fix notification windows working procedure.
 | Installation: Correct some strings in installation package to make it more user friendly.
 | Kernel : Finded and fixed trouble with CPU usage 100% on Windows 2000 family.
 | Kernel : Fix crash situation with adding new contact to Yahoo IM module in Im2 Accoutn Management window.
Top
version 1.3 Release - 17.09.2004
 | Kernel: Extended indication has added for file transfer windows: show count of sended/received bytes and percent of the execution in window header.
 | Kernel: Sounds has added for file transfer actions like incoming file transfer, transfer error, transfer successfully complete.
 | Kernel: New records has added in tray menu: add/find contacts and about program.
 | Kernel: Remove group button has added to add/find contact dialog.
 | MSN : Special IM2-IM2 file transfer through the server method has added. Now available only in MSN protocol.
 | MSN : Offline e-mail notification has added for MSN protocol. You can send notification message to user's .NET passport e-mail address.
 | MSN : Now you can allow other IM2 user's see your IP-addresses and you destination. Also you can disable you IM2 client status.
 | MSN : Problem of add contact to MSN forward list, that already exist in Reverse list, has fixed.
 | MSN : Problem of display "user joined" and "user left" in private sessions, has fixed.
 | MSN : Problem of the window's pop-up on session invite, and minimize to tray option enabled, has fixed.
 | MSN : Problem of the renaming contact in MSN protocol has fixed.
 | MSN : Set max MSN message length to 1664 bytes.
 | Skin : Problem of the resize skin size when user change it has fixed.
 | Kernel: Contact and account pop-up menus has optimized.
 | Kernel: Problem with deleting temporary files after close application has fixed.
 | Kernel: When secure connection not enabled (in settings) - client send auto decline messages on distant user secure invitation.
 | Kernel: Change messagebox on critical error like bad password or login name to system notification.
 | Yahoo : Problem of the hovering the program when receiving contact list has fixed.
Top
version 1.2 Release - 20.08.2004
 | Profiles: Add a small explanation to profiles windows.
 | Profiles: Add ability to create and use default non-secure profile.
 | Pop-up menus: Add 'View privacy lists' menu to view/change visible, ingore and other lists.
 | Pop-up menus: Add 'Clear message history' menu on each user to clear corresponding message history.
 | Preferences: Add ability to select UNIX- or Windows like chat windows text selection and copying.
 | Chat windows: Add ability to scroll text in the chat windows with scrolling mouse wheel.
 | MultiMedia: Finish RTP transport integration for audio and video conferences.
 | General: Add ability to set auto-away status and back to normal status automaticaly (Now only for ICQ).
 | Chat windows: Fix enabling/disabling sounds locally on chat windows.
 | Profiles: Fix UserEnv.dll loading under Win98 platform.
 | Profiles: Change 'Log into profile' to default button at the Profile Management window.
 | Chat windows: Add new line feed to default MSN-style message logging.
 | Notifications: Change default parameters for eMail notifications and system notification. Set showing time to 10 seconds.
 | Updater tool: Change Updater Tool structure and make it more user friendly.
Top
version 1.1 Release - 4.08.2004
 | Video: Add preview mode.
 | Video: Add a choice of video source.
 | Video: Add settings for received video (brightness, contrast and another).
 | Notifications: don't hide on alerted contacts.
 | Skins: Display Send e-mail to friend button for all windows.
 | Skins: Display Audio/video/Secure buttons for all windows (not only for IM2).
 | Skins: Add indication icons of active IM2 feature (secure,audio,video).
 | MSN : Add Hotmail e-mail notification and automatic Homtail login from notification window.
 | MSN : Add MSN account features like: check for chat rooms, manage your .NET passport features, manage you contacts.
 | MSN : Auto disable secure connection in multiperson session mode.
 | MSN : Disable peer 2 peer action and secure connection buttons in multiperson session mode.
 | YAHOO: Add Yahoo e-mail notification.
 | Kernel: Add ask dialog for input account password.
 | Kernel: Add user profiles management.
 | Kernel: Crypt message history method.
 | Kernel: Add Messenger 2 usage statistics.
 | Kernel: Add check option for ask password at each account connection.
 | Initial account wizard: Add default profile creation.
 | Multimedia: Audio and video conferences are in progress (integrating new multimedia transport) and may caused IM2 crash.
 | Skins: Bug with DCC button fixed in 'Night Fall'.
 | MSN : Fixing bug with blocking/unblocking contacts.
 | MSN : Fixing bug with storing account status after reconnect.
 | MSN : Display if possible user's friendly names (no loginname) in multiperson sessions.
 | Kernel : Fix bug when user close window with enabled secure connection.
 | Kernel : Low Windows resources usage.
 | Global : Minor bugfixing.
 | Kernel : Change Preferences->About->'e-Mail to Us' form - add message destination field.
 | Kernel : Minor review of the Preferences dialog window user interface, make it more user friendly.
 | MSN : Fix crash while deleting groups.
 | MSN : Fix crash while adding user to session, that already exist.
 | Yahoo : Fix critical bug in conferences.
 | Yahoo : Fix file transfer critical bug.
 | Yahoo : Fix Yahoo search bug.
Top
version 1.0 Release - 1.07.2004
 | Add opportunity of video conversation with multiple users.
 | Add new skins from Messenger 2 team: "Tiny Cordillera" and "MSN Like". Download here.
 | Add IP address identification to Yahoo IM module.
 | Add automatic closing Messenger 2 after starting Initial setup and Upadter tool wizards.
 | Add IM2 secure channel to Yahoo IM module.
 | Finish Silent Upadate mode (like in MSN/Windows Messenger).
 | Add drag-and-drop files to send.
 | Add MSN authorization window.
 | Fix filetransfer in IRC.
 | Fix bug with checking and creating folders for file transfer.
 | Fix Messenger 2 client identification in Yahoo IM module.
 | Fix Yahoo IM module localization.
 | Fix AIM and ICQ rate limit errors and sending and receiving messages delays.
 | Fix bug with storing and loading and updating email accounts information for simple email checker module.
 | Fix email checker errors (make them not repeating with the same errors).
 | Fix Yahoo IM authorization procedure and enable Yahoo IM connection.
 | Fix some typos and default string in IM2 wizards and Messenger 2 client.
 | Fix problem with loading new and old skins.
 | Fix removing all Messenger 2 icons after uninstalling Messenger 2.
 | Fix bug with status changing in Yahoo IM module.
 | Fix bug with add/remove users in Yahoo contact list.
 | Change default type of status notification windows to animation.
 | Standartize all spellings of Messenger 2.
 | Change default main window position from left desktop corner to right corner.
 | Fix IM2 crashing in AIM chat rooms.
 | Fix Yahoo module connection on YMSG ver 11 protocol.
Top
version 0.99 Release Candidate 2 - 12.06.2004
 | Add auto secure channel.
 | Add IRC channel key support.
 | Silent update mode: Adding update progress window.
 | Change alot of text strings to make IM2 strings and message-boxes more professional and stantartized.
 | Remove brackets from default message formatting string for displaying message.
 | Change font face for system messages to "Arial".
 | Fix showing offline and other status notifications when internet connection currently not available.
 | Fix bug with enable/disable sounds button on chat windows.
 | Fix bug with opening WEB links from chat and other windows.
 | Fix bug with adding contact to the root folder into account (disable this option).
 | Fix sorting in contact list.
 | Fix "Show incoming message windows minimized to taskbar" option.
 | Fix AOL/AIM connection errors.
 | Fix 'Previous history buffer' settings parameter storing/loading bug.
 | Minor bugfixing.
Top
version 0.99 Release Candidate - 1.06.2004
 | Add display MSN supporting feature (Mobile, Direct, WebCam) only for MSN Messenger user, not just for Messenger 2.
 | Add new secure messging engine.
 | Add log formatting strings to displayed and logged messages.
 | Add IRC Messenger 2 - Messenger 2 peer-to-peer Video session.
 | Initial setup wizard: Added note for Windows Messenger users how to connect their account into Messenger 2.
 | e-Mail features: add notificaions on send offline notifications and Send e-Mail to friend features.
 | Add system messages to conversations log storage (Session start and stop, status changes, etc).
 | Add proxy settings for each service separately with converting from old proxy settings.
 | Add system notify messages to chat windows on "Enable/disable Sounds", "Enable/disable Log" and "Enable/disable On top" buttons.
 | Restoring account status after disconnect in AIM, ICQ nad MSN.
 | Add animation options for notify windows (Prefs:Events:Notifies).
 | Add icons in contact list on non-authorized(ICQ) and ignored(blocked) users.
 | Add control menu in IRC chat.
 | Initial Setup Wizard: Add check for existing accounts and contact list data.
 | Initial Setup Wizard: Add check for existing settings data.
 | Initial Setup Wizard: Add preventing to rewrite accounts and settings.
 | Initial Setup Wizard: Add preventing to run tool more than one time after installation.
 | Added button to Open File after successfull receiving file.
 | Add option to setup update mode - use Updater Tool or use silent update mode like in MSN Messenger.
 | Updater tool: Add silent update mode (like MSN Messenger).
 | Silent update mode: Adding update progress window.
 | Language pack and translation.
 | Initial setup wizard: change Yes/No Buttons to Ok/Cancel when running Messenger 2 was detected.
 | e-Mail features: Change waiting timeout to 30 seconds for working on low-speed intrenet connections.
 | Notification windows: Change notification windows colors to white background and other foreground colors.
 | Close button removed from filetransfer windows, now Cancel button close dialog and cancels active filetransfer.
 | Send video to yourself.
 | Fix bug on Add folder menu action.
 | Fix refusal of reception of video (if another side already has video session with other buddy).
 | Fix crash on online rename group/contact in contact list.
 | Fix displaying notification windows on account connection.
 | Fix Mesenger-2 installer script. Add Unistall information into Windows Add/Remove Programms menu.
 | Fix Initial setup wizard warning on trying to rewrite current setting or accounts data.
 | Fix default setting according to shown old history lines. See Preferences->Message history->Show previous history.
 | e-Mail features: fix bug with SMTP mail sending via servers under qMail soaftware.
 | Language editor: fix bug with selection language to edit.
 | fix bug with writing conversation logs.
 | fix bugs with displaying and processing in localization editor.
 | Fix close chat window after send message.
 | Fix bug with yahoo hiden status.
 | Fix bug with history button at chat window.
 | Parsing UTF8 message at ICQ authorisation request and reply.
 | Updater tool: Fix typos in strings on Updater tool pages.
 | Updater tool: Remove "Retrieve update information" button in automatic mode.
 | Updater tool: Remove "Start update process" button in automatic mode.
 | Simple mail checker: All error message windows removed except "Error authorization with server".
 | Fix bug on retrieving client version when "Check for update" option was unchecked.
Top
version 0.90 pre-release candidate - 30.04.2004
 | ICQ: Re-request authorization menu added.
 | Add option to hide program to tray or exit on close.
 | Add MSN buddyes language detections.
 | Add options for some hot keys (send message after Enter or Ctrl+Enter, etc.) See Settings->Windows->Hotkeys tab.
 | Add MSN rename buddy and group method.
 | Add MSN dynamic buddy nick-name checking.
 | Main contact window position and coordinates are stored after each session.
 | Add MSN hotmail account actions (check mail, compose mail, check folders).
 | Add skin to video window.
 | Add clipping windows to screen feature.
 | Add MSN View/Change own details method.
 | Add additional sounds on text input/backspace key.
 | Add Messenger 2 client version support to OSCAR dll.
 | Add AIM and ICQ Messenger2-Messenger2 peer-to-peer Video session.
 | Screennames are displayed in "User is typing..." messages.
 | Extended popup notification window's options, animation effect and transparency will be added soon.
 | Fix MSN authorization crash if SOCKET_ERROR available.
 | Fix new version checking procedures and Updater Tool bugs.
 | Fix bug with opening window for Audio/Video/File MSN session from context menu.
 | Fix bug with yahoo messaging.
 | Fix bug with MSN contact list (no contacts incoming, no online users).
 | Fix menus under win98.
 | Fix fullscreen mode with no taskbar.
 | Fix dialogs(Settings, AccManager, AddContact, About) 'not on top' bug.
 | Fix minor bug with maximum account login name of 16 characters (Yahoo).
Top
version 0.40 beta - 16.04.2004
 | Add text/backgroud color support for all skins.
 | Add MSN M2-M2 peer-to-peer Video session.
 | Add multilingual support (hebrew, arabic ect.).
 | Add ICQ outgiong RTF message.
 | Add MSN offline messanging method. If user offline M2 send e-mail message to user's .NET Passport address.
 | Add MSN dinamic buddy client checking (version updates when you starting session).
 | Add Audio/Video buttons on all M2 Private windows.
 | Add new buttons: "E-mail friends about M2", "Always on top", "Mute/Unmute sounds" and "Enable/Disable history logging".
 | Language editor added (see Settings->Language).
 | Add checkbox "Show incoming message windows minimized to taskbar" (Settings->Windows).
 | AIM search added.
 | Add checkbox in Settings->Windows to enable/disable tooltips over contact list items.
 | AIM privacy options added (see Account Manager->AIM privacy tab).
 | Add sound event when account goes online.
 | Add Hyperlink to download more skins (in Settings->Skins tab).
 | Add MS Internet Explorer tool bar button to run Messenger 2 application.
 | Add MSN M2-M2 messaging. Type "/" and then type your message.
 | Default chat style changed to MSN-like (see Settings->Display->Message history format).
 | Default colors for chat windows changed to black text on white background.
 | AIM Chat: fixed minor bug when you can't see all users in current chatroom.
 | Fixed MSN authorization crash if SOCKET_ERROR available.
 | Don't show "user joined" and "user out" message in MSN private windows.
 | Fix MSN disconnect reasons.
 | Fix MSN disable proxy bug.
 | Fix AIM chat buddy list bug.
 | Fix bug with large contact list on Yahoo! module.
 | Fix bug with crashing Messenger 2 on receiving message in Yahoo! module.
 | Fix message displaying.
 | Fix ICQ/AIM add/remove procedures.
 | Fix ICQ store own info method.
Top
version 0.35 beta - 2.04.2004
 | Add smile selection with cursor buttons.
 | Add "Start a Voice Conversation" in context menu for MSN protocol.
 | Fixing bug with privacy list action from context menu.
 | Fixing bug with crash at closing video session.
 | Fixing "Local Font Settings" button.
Top
version 0.34 beta - 1.04.2004
 | Add privacy list action section to user context menu.
 | Add hyperlinks opening on left mouse click in chat windows.
 | Add MessageBox if you trying to check non Homtail e-mail account.
 | Add ability to save keyboard language for each chat window during current Messenger 2 session.
 | Add ability to change message displaying format (IRC or MSN representing) at Prefereces->Windows->Dislpay window.
 | Add some comments to clarify how to test audio processing system inside the Messenger 2.
 | Add MSN Messenger 2-to-Messenger 2 peer-to-peer voice communication.
 | Add checking for MSN conferences - Audio session and FTransfer will work only Peer2Peer mode.
 | Add Messenger 2 updater tool wizard.
 | Add ability to add more than one account for each IM in initial setup wizard.
 | Add Check For Update Now button in Preferences window and enable this feature.
 | Add MSN special Messenger 2-to-Messenger 2 messaging method (only default join message available).
 | Add blocking casual interaction with video interface.
 | Add and change video modes for optimal video conferencing (not compatibility with old version).
 | "Cancel" button turns to "Open Folder" after successfully receiving file.
 | Add "close FileTransfer dialog after success" checkbox.
 | Add MessageBoxes on critical errors while connecting (wrong password, connect from another location, etc.).
 | Changing colors in the chat window now is enabled, but color attributes not send to recipient at all IMs except IRC.
 | Contact tooltip improved.
 | Notification windows modified - e-Mail notifications are dislpaying while user not clicks on according window.
 | Notification windows modified - e-Mail notifications are dislpaying only in case of some new mails are in user mail-box.
 | Global Away status actions updated (add global Away with default or user message, add global Back).
 | Contact list item's screennames now automatically updates only for online users. (It caused a problem with large contact lists).
 | Fix program crash in W2K, when user press ICQ Adv.Search button in Add dialog.
 | Fix automatical reconnect after critical errors (wrong password, connect from another location, etc.).
 | Fix bug in Initial Setup wizard in importining contact list from Trilian Pro X.X software.
 | Fix bug with simultaneous closing one video stream.
 | Fix bug with broadcasting video stream from server.
 | Fix MSN console logging (out more information about authorization).
 | Fix MSN disconnect method (when you sing in from another location & server close connection).
 | Fix bug with saving login when it's changed in Account Management dialog.
 | Fix ICQ file transfer.
 | Small fix of IRC messages displaying with parsing from RTF format.
 | Fixed checkboxes for File Transfer section in Settings.
 | Fixed checkbox "AutoOpen console windows on connect".
Top
version 0.33 beta - 24.03.2004
 | Add new official skin from Messenger 2 team "NightFall". Download it now
 | ICQ web-aware checkbox added in settings dialog.
 | Creating automatical updater tool wizard.
 | GUI hanging after receive ICQ contact list.
 | Items in Contact List now expands after single-click, not double.
 | MSN authorization fail fixed. Multithread authorization released.
 | Multilingual MSN file transfer problem fixed.
 | Remove empty EMail field in contact's popup tooltips.
 | Fix correct IP displaying for ICQ (see options in settings dialog).
Top
version 0.32 beta - 19.03.2004
 | Yahoo! search added (see Add Contact dialog).
 | Add button to check current audio settings in program preferences window and enable this feature.
 | Add MSN session keep alive mode (ping switchboard server every minute).
 | Add Display MSN Messenger 2-to-Messenger 2 op/normal user status
 | Add MSN Messenger 2-to-Messenger 2 change op user status (if op user leave session).
 | Add URL-codding for user info (fix problem with storage HTML info).
 | Add console user status indication (sigen on/off, change status).
 | Add console user status indication (sigen on/off, change status).
 | New 102 smile images added and enable check-box to enable/disable show smiles.
 | Add localization procedures to Yahoo! IM module.
 | AIM Search dialog added, dll search supporting in progress.
 | Enable check-box and value for control showing smiles.
 | fix default colors settings for chat windows and message history.
 | fix bug on enable/disable logging message history.
 | ICQ Offline messages receiving fixed.
Top
version 0.31 beta - 16.03.2004
 | Add Show Message History pop-up menu item and enable this feature.
 | Add Messenger 2 client identification for Yahoo and AIM protocols.
 | Add "Manage this account" pop-up menu item and enable this feature for each account in contact list.
 | Add "Run minimized to tray" program settings option and enable this feature.
 | Add MSN Protocol v9 support (just not supporting MSNC1 protocol).
 | Add MSN Messenger 2-to-Messenger 2 feature: set session topic (now only default topic available).
 | Add MSN Messenger 2-to-Messenger 2 feature: Session client identificate.
 | Add MSN Messenger 2-to-Messenger 2 feature: Session member rights.
 | Add MSN Messenger 2-to-Messenger 2 feature: Send exit message when session closed (now only default message available).
 | optimize Messenger2 opening speed (Make more fatser loading localization strings).
 | fix Messenger 2 running detection in Initial setup wizard (Now Initial setup wizard be be started only when Messenger2 is closed).
 | background color of notifications windows to white and center text in this windows.
 | fix position of the notification windows - above the task bar.
 | fix Messenger 2 link on the task bar at the maximized, minimized and system tray states.
 | fix switching between languages in program preferences.
 | fix ICQ and AIM info.
 | fix AIM file transfer.
 | fix AIM status recieving on adding new contact to contact list.
 | fix bug with deleting Root group.
 | fix receive file transfer from MSN Messenger/Trillian.
 | fix bug with MSN mobile status.
 | fix bugs with creating/destroying/messaging in secure mode over all IM protocols.
Top
version 0.2 beta - 6.03.2004
 | IRC channels list in add contact dialog.
 | ICQ white pages search (advanced search) added.
 | smiles extended and fixed.
 | MSN Reconnect session method has released.
 | System tray context menu added.
 | Preferences: Autoupdate checkbox enabled.
 | About box added.
 | added open private chat windows in MSN conferences, IRC channels and AIM chat by double-click on users.
 | correctly working XP themes for dialogs.
 | correct colors displaying in MSN chat windows.
 | Preferences: Create desktop icon and program group fixed.
Top
version 0.1 beta - 1.03.2004. First public Messenger 2 beta version.
 | basic features of the AIM, ICQ, IRC, MSN and Yahoo messengers.
 | multy account support for all messenger protocols.
 | Messenger 2 P2P file sharing.
 | Messenger 2 P2P multimedia chat including text, voice and video conferencing.
 | Skinable user interface.
 | Multylingual user interface support.
 | Simple mailbox checker.
Top
version 0.1 alpha - 10.02.2004. Alpha version intended for private Messenger 2 team alpha testing and bugfixing.
Top

Official WEB-site :  www.IM2.com
Information e-Mail:  info@IM2.com
Support e-Mail    :  support@IM2.com


Messenger 2 Online

Please, visit our site in Internet -
http://www.im2.com

   Please, visit Instant Messenger 2 official WEb-site. You can many interesting and usefull information about
IM2 software, features, project and site news, online help and many other. You can download new
IM2 versions, updates, new skins and languages.

See IM2 downloads and usage statistics and take part in Messenger 2 forums where you can post information about bugs and troubles you have found
while using Messenger 2, ask team about adding new features and modification currently implemented, and many many other.

Official WEB-site :  http://www.im2.com

Information e-Mail:  info@im2.com

Support e-Mail    :  support@im2.com


Messenger 2 Features

  • AIM & ICQ
  • IRC
  • MSN
  • Yahoo! messenger
  • Video conferencing
  • Audio conferencing
  • Sending e-mails
  • Secure connection


Messenger 2 Features AIM & ICQ

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features IRC

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features MSN

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features Yahoo!

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features Video

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features Audio

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features e-mails

This section is under construction
(C) IM2.com, 2004


Messenger 2 Features Secure connection

Instant Messenger 2 support secure conversation mode. You may chat with your friend, don't afraid for security.

For secure messaging use RSA crypt algorithm with 512 bit key size.

NOTE: You can establish secure connection mode only with user's who are using IM2 application. Other way you'll see error message such on pic 1.

pic.1 Secure error message

You can establish secure connection mode:

  • Select menu "Establish secure connection" in contact's pop-up menu (pic.2)

  • Push button on chat window (like on pic.3)

pic.2 Establish secure connection from pop-up menu

pic.3 Secure connection enabled

pic.4 Secure properties

There are some properties for secure connection: (pic.4):

  • Enable secure connection - Enable secure connection. if this option disabled - your IM2 send auto decline messages on other users secure invitation

  • When possible, automatically establish secure connection with your contacts:

    1. If enabled   - When you open chat window on your contat, who are using IM2 application, IM2 send him/her secure invite message, and send auto accept message on users secure invitation.

    2. If disabled - When contact invites you to establish secure connection you may accept or decline him(her) invitation. You will see ask message box (pic 5).

pic.5 Secure invite

(C) IM2.com 2004


Messenger 2 User manual

  • Downloading
  • Installation
  • Upgrade
  • Configuring
  • Uninstalling


Messenger 2 Downloading

This section is under construction
(C) IM2.com, 2004


Messenger 2 Installation

This section is under construction
(C) IM2.com, 2004


Messenger 2 Upgrade

This section is under construction
(C) IM2.com, 2004


Messenger 2 Configuring

This section is under construction
(C) IM2.com, 2004


Messenger 2 Uninstalling

This section is under construction
(C) IM2.com, 2004


Messenger 2 Skin Main

  • General requirements for skin development
  • Skin location on disk
  • Skin theme style location on disk
  • XML file structure
  • Window types
  • Button actions handlers


Skin Development: IM2 skin specification

The main requirements for development user's skins for IM2 Messenger:
  • The all graphic material must be presented in BMP files with 24 bit coding of the colors.
  • For description of all skin functions is used XML file. Principle of the work with it has described in following chapters
Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Skin Development: IM2 skin location

IM2 Messenger skin location:

All skins are situated in sub-dir .\Skins in root directory of IM2 application.

Skin is situated in separate directory, identical with skin name, since name XML file is formed as follows: Skinname + _skin.xml.

Consequently for different skins names of XML files will be different.

The Example:For standard IM2 skin: Final Worlds location of the XML file will be following: ...\Skins\FinalWorlds\sys\FinalWorlds_skin.xml

XML file must locate in sub-dir .\Sys - otherwise program will not find it, and will issue report on error!

The graphic material is situated on discretion of the developer. The way to each graphic file is indicated in corresponding to element of the structure.

The Recommendation: As a matter of convenience development and the following editing of XML file, advisable all graphic files to dispose in special sub-directories.

The Example:The files that have charge of exterior of all buttons comfortable to dispose in sub-directory .\Skin_Name\Bitmaps\Buttons and etc. In the same way name of the files to do to be identical with their purpose. If this button - view the profile - file name can be Userinfo.bmp.

If user wants to see an approximate skin view, exists the special file - preview.bmp

Preview file must locate in: .\Skins\Skin_Name\Bitmaps\prev.bmp, otherwise preview field will be an empty

File has a permit 290x200

pic 2. Prev.bmp for “MSN Like” skin

Example of IM2 skin file stucture:

..\Buttons\ - General buttons (Windows control and other).
  • ACTION_SYSTEM_CLOSE_BUTTON.bmp
  • ACTION_SYSTEM_MAXIMIZE_BUTTON.bmp
  • ACTION_SYSTEM_MINIMIZE_BUTTON.bmp

  • IND_AUDIO.bmp
  • IND_VIDEO.bmp
  • IND_SECURE.bmp - Special modes indicators (on DST_PRIVATE windows)

  • ACTION_SYSTEM_TAB_CLOSE_BUTTON.bmp
  • ACTION_SWITCH_AVATAR_BUTTON.bmp
  • ACTION_SWITCH_BOOKLINK_ON_BUTTON.bmp
  • ACTION_SWITCH_BOOKLINK_OFF_BUTTON.bmp
    •

..\Buttons\MainWindow\ - Main window buttons.
  • ACTION_ABOUT_PROGRAM_BUTTON.bmp
  • ACTION_ACCOUNT_MANAGER_BUTTON.bmp
  • ACTION_ADD_FIND_CONTACTS_BUTTON.bmp
  • ACTION_PROGRAM_SETTINGS_BUTTON.bmp
  • ACTION_GLOBAL_CONNECTIONS_BUTTON.bmp
  • ACTION_VIEW_OPTIONS_BUTTON.bmp

  • ACTION_AIM_BUTTON.bmp
  • ACTION_ICQ_BUTTON.bmp
  • ACTION_IRC_BUTTON.bmp
  • ACTION_MSN_BUTTON.bmp
  • ACTION_YAHOO_BUTTON.bmp

  • ACTION_BOOKLINK_SWITCH.bmp
    •

..\Buttons\Splitter\ - Splitter's buttons.
  • ACTION_FONTBOLD_BUTTON.bmp
  • ACTION_FONTITALIC_BUTTON.bmp
  • ACTION_FONTUNDERLINE_BUTTON.bmp
  • ACTION_HISTORY_BUTTON.bmp
  • ACTION_SOUNDS_BUTTON.bmp
  • ACTION_ONTOP_BUTTON.bmp
  • ACTION_SMILES_BUTTON.bmp
  • ACTION_BACKGROUD_COLOR_BUTTON.bmp
  • ACTION_FOREGROUD_COLOR_BUTTON.bmp
  • ACTION_LOCAL_FONT_SETTINGS_BUTTON.bmp
    •

..\Buttons\PrivateWindow\ - Private window buttons.
  • ACTION_SEND_BUTTON.bmp
  • ACTION_SEND_FILE_BUTTON.bmp
  • ACTION_USER_INFO_BUTTON.bmp
  • ACTION_INVITE_USER_BUTTON.bmp
  • ACTION_EMAIL_TO_FRIEND_BUTTON.bmp
  • ACTION_ADD_TO_CONTACT_LIST_BUTTON.bmp
  • ACTION_DIRECT_CONNECT_ON_BUTTON.bmp
  • ACTION_SECURE_CONNECTION_BUTTON.bmp
  • ACTION_AUDIO_CONNECTION_BUTTON.bmp
  • ACTION_VIDEO_CONNECTION_BUTTON.bmp
    •

Also sometimes used ..\Buttons\ChatWindow\ - Chat window buttons.

..\Buttons\Booklinks\ - Booklinks buttons.
  • ACTION_BOOKLINK_SEARCH.bmp
  • ACTION_BOOKLINK_FAVOURITES.bmp
  • ACTION_BOOKLINK_MOBILE.bmp
  • ACTION_BOOKLINK_ECARDS.bmp
  • ACTION_BOOKLINK_FEEDS.bmp
  • ACTION_BOOKLINK_HOROSCOPES.bmp
  • ACTION_BOOKLINK_GAMES.bmp
  • ACTION_BOOKLINK_IM2.bmp

    •

..\Template - All graphical matherial used for drawing windows.
Every file have formed as:
< Upper or Bottom >< Left, Middle, Right > _ < Window type (Main, Console, Private, Chat, Video) > .bmp
For exaple:
  • UpperLeft_Main.bmp
  • UpperLeft_Private.bmp
  • UpperLeft_Chat.bmp
  • UpperMiddle_Main.bmp

  • Left_Main.bmp
  • Left_Console.bmp

  • BottomMiddle_Chat.bmp
  • BottomRight_Video.bmp
    •
  • and ect.

..\Splitter - All graphics mathreal needed to draw vertical and horizontal splitters.
  • HorSplitter_Left.bmp
  • HorSplitter_Middle.bmp
  • HorSplitter_Right.bmp
  • VerSplitter_Top.bmp
  • VerSplitter_Middle.bmp
  • VerSplitter_Bottom.bmp
    •

..\Avatar - Graphical matherial used for drawing avatar panel.
  • Avatar_Top.bmp
  • Avatar_Middle.bmp
  • Avatar_Bottom.bmp

  • Avatar_UserPicture_Large.bmp
  • Avatar_OwnPicture_Large.bmp
  • Avatar_UserPicture_Small.bmp
  • Avatar_OwnPicture_Small.bmp
    •
..\Tab - Graphical matherial used for drawing tab controls.
  • Normal_Left.bmp
  • Normal_Middle.bmp
  • Normal_Right.bmp

  • Active_Left.bmp
  • Active_Middle.bmp
  • Active_Right.bmp

  • Ready_Left.bmp
  • Ready_Middle.bmp
  • Ready_Right.bmp

  • TitleLine.bmp

    •
..\Booklinks\ - Booklinks graphical matherial.
  • BookLink_Top.bmp
  • BookLink_Middle.bmp
  • BookLink_Bottom.bmp
    •

Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Skin Development: IM2 theme location

IM2 Messenger theme location:

From version 1.4 IM2 has supported skin themes (several skin structures, grouped with some reason)

As an old style skin strutures, skin themes is situated in separate directory. ThemeName - same with directory name

Skin item is situated in separate directory, identical with its name, since name XML file is formed as follows: Skinname + _skin.xml.

The Example: Location: ...\Skins\Jhon_Theme\Default\Sys\Default_skin.xml

For theme description used special XML file - themes.xml

It is situated in a theme root derectory.

The Example: Location: ...\Skins\Jhon_Theme\theme.xml

Example of themes.xml

            <info im2 = "1.4" xml = "2.0" version = "1.0" />

            <author>

            <title> Jhon's skin series </title>

            <name> Jhonie Walker </name>

            <url> www.example.com </url>

            </author>

            <list>

            <theme name = "Default"	link = "First" />

            <theme name = "Red"		link = "Second" />

            <theme name = "Silver"	link = "Third" />

            </list>

            </root>

  • info	- Skin engine information.
    •

    1. im2	- 1.4 and higher.
      2.

    2. xml	- 2.0 and higher (1.0 - old style skin strutures).
      3.

    3. version	- theme version.
      4.

  • author	- About creator inforamation.
    •

    1. title	- Theme name.
      2.

    2. author	- Skin designer name.
      3.

    3. url		– Author webpage or e-mail address.
      4.

  • theme	– Theme description item.
    •

    1. name	- name for description in a combo box
      2.

    2. link	- real subskin directory name
      3.

pic 1. Select skin theme window

                Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Skin Development: IM2 xml structure

There are rows of the special structures using for description skin structure:

  • SKIN- Current structure is intending for description of the exterior view of the windows.
  • BUTTONS- Current structure is intending for buttons actions on all windows.
  • REGION– Current structure is intending for description regions (the borders of window). It's indicate windows regions which must not be displayed (invisible regions).
  • RECT- This structure is describing special properties for each of windows: size chat area inwardly window, icons coordinates, coordinates of the headline, coordinates of typing notification region and others.

SKIN structure consists of the following element (Element draws upper left corner region on main window):

<SkinElement Top="0" Left="0" Right="125" Bottom="62" AlignTopLeft="9" AlignBottomRight="9" >
<Mask> 1</Mask >
<Color> FFFFFFFF </Color>
<BitmapName> .\\Skins\\FinalWorlds\\Bitmaps\\MainWnd\\MainUpper_L.bmp </BitmapName>
<BitmapTop> 0 </BitmapTop>
<BitmapLeft> 0 </BitmapLeft>
<BitmapBottom> 62 </BitmapBottom>
<BitmapRight> 125 </BitmapRight>
</SkinElement>

SkinElement structure parameters:

  1. Top– Upper coordinate on window
  2. Left- Left coordinate on window
  3. Right– Right coordinate on window
  4. Bottom– Lower coordinate on window
  5. AlignTopLeft– Point comparatively, which is calculated upper left coordinate (Top and Left parameters)
  6. AlignBottomRight- Point comparatively, which is calculated lower rigth coordinate (Bottom and Right parameters)

    7. Principle of the relative coordinates will be used and in all following structures

    Aligns can be four types:

    • 9- Align for upper left corner.
    • 3- Align for upper right corner.
    • 12- Align for lower left corner.
    • 6- Align for lower right corner.

  7. Mask- Window type mask, on which you must draw skin. (Check chapter WINDOW TYPES).
  8. Color- Current parameter needs to set region's color, if external bmp file not using. For external bmp files the value of this parameter must be 0xFFFFFF.
  9. BitmapName – Relative way to necessary .bmp file (from .\SKINS\ directory).
  10. BitmapTop - Region upper coordinate on bmp file
  11. BitmapLeft - Region left coordinate on bmp file
  12. BitmapBottom - Region lower coordinate on bmp file
  13. BitmapRight - Region right coordinate on bmp file

The Example:

<BitmapTop> 0 </BitmapTop>
<bitmap> 0 </BitmapLeft>
<BitmapBottom> 62 </BitmapBottom>
<BitmapRight> 125 </BitmapRight>

To display one window, you need minimum 8 SKIN structures.

  1. Upper left corner
  2. Upper right corner
  3. Upper middle element
  4. Lower left element
  5. Lower right element
  6. Lower middle element
  7. Left (vertical) element
  8. Right (vertical) element

pic 1. window scheme

Middle region is intended for filling the sprained window area.
SKIN element for this region has two aligns.
For upper or lower regions - we have aligns from left and right regions a comparatively left region.
Same way for left or right (Vertical) regions- we have aligns from upper and bottom regions.

The Recommendation: Advisable width of the sprained region is 1 pixel.

BUTTON structure consists of the following element:

The Example:

            <ButtonElement Top="9" Left="23" Right="8" Bottom="22" AllignTopLeft="3" AllignBottomRight="3">

            <Mask> 1FFFCFFF </Mask>

            <BitmapName> .\\Skins\\FinalWorlds\\Bitmaps\\Buttons\\system_close.bmp </BitmapName>

              <Action> 0 </Action>

            <PointNormal> 30 </PointNormal>

            <PointPushed> 0 </PointPushed>

            <PointOver> 15 </PointOver>

             <MenuPos> 240 </MenuPos>

            </ButtonElement>

ButtonElement structure parameters:

  1. Top – Upper coordinate on window
    2.

  2. Left - Left coordinate on window
    3.

  3. Right – Right coordinate on window
    4.

  4. Bottom – Lower coordinate on window
    5.

  5. AlignTopLeft – Point comparatively, which is calculated upper left coordinate (Top  and Left parameters)
    6.

  6. AlignBottomRight - Point comparatively, which is calculated lower rigth coordinate (Bottom  and Right parameters)
    7.

  7. Mask - Window type mask, on which you must draw skin. (Check chapter WINDOW TYPES).
    8.

  8. BitmapName – Relative way to necessary .bmp file (from .\SKINS\ directory).
    9.

  9. Action – Button action (function) identifier (see Skin button actions chapter).
    10.

  10. PointNormal – An exterior of the button in normal mode.
    11.

  11. PointPushed – An exterior of the button in pushed mode.
    12.

  12. PointOver – An exterior of the button in selected mode.
    13.

  13. MenuPos = 240 for all buttons, except ACTION_GLOBAL_CONNECTIONS_BUTTON, ACTION_VIEW_OPTIONS_BUTTON (MenuPos = 4).
    14.

This parameter needed to set coordinates for pop-up menus.

pic 2. Example of the three button's conditions

As you see (pic.2) button file consists of 3-h parts:

  • Normal condition of the button (PointNormal = 0)
    •

  • Selected condition of the button (PointOver = 53)
    •

  • Pressed condition of the button (PointPushed = 106).
    •

NOTE: Parenthetically importance is specified for concrete button (pic. 2)

Offset value for button condition calculates:

  • HIWORD: offset on Y coordinate
    •

  • LOWORD: offset on X coordinate
    •

The Recommendation: We advise to use files, such on pic 2, where in all three (four) button condition situated in one horizontal row.

(to calculate offset only on X coordinate)

Also exists the activated (4th) condition: required for realization for such buttons as: Audio, Video, Secure, Bold, Italic, Underline,
 Always on top, Disable sounds, Disable history, Direct connection in active (pressed) condition.

Usually used pressed (3th) condition of the button, but possible and use and the fourth condition, as this is seen on pic 3.

pic 3. Example of the four button's conditions

When activated one of this modes - the window mask varies on value of this mode (For example: if user start secure connection,
 window mask will be changed on value 0x10000 and on place of old button (Start secure channel) will be displayed button,
having Action = 0x10000 - meaning close secure connection. Similarly for all other buttons).

Also possible to display disable condition of the button (for instance Add to contact list on window contact,
 which are already found in user's contact list). This condition is not described - it is displayed using SKIN structure, as usual Bitmap region.

REGION structure consists of the following element:

            <RegionElement Mask="1FFFFFFF">
<Points>
<Item X="0" Y="0"  Align="9"/>
<Item X="0" Y="13" Align="9"/>
<Item X="1" Y="9"  Align="9"/>
<Item X="2" Y="7"  Align="9"/>
<Item X="7" Y="2"  Align="9"/>
<Item X="9" Y="1"  Align="9"/>
<Item X="13" Y="0" Align="9"/>
</Points>
            </RegionElement>

Current example describes invisible part in all windows in a upper left corner (align =  9 - upper left corner).

REGION structure is intended for determination of the borders of the windows.

It describes that area, which must be transparent if for instance window on edge is rounded.

For this necessary to indicate region which will become invisible

  • X - an offset from borders on X coordinate, specified in importance of the parameter Align.
    •

  • Y - an offset on Y coordiante
    •

RECT structure consists of the following element:

            <RectElement Top="62" Left="12" Right="13" Bottom="40" AlignTopLeft="9" AlignBottomRight="6">

            <Mask> 1FFFFC7FC </Mask>

            <ColorBg> FFDFD1 </ColorBg>

            <ColorText> 5B0000 </ColorText>

            <PosX> 500 </PosX>

            <PosY> 350 </PosY>

             <IconPosX> 30 </IconPosX>

            <IconPosY> 28 </IconPosY>

            <IconAlign> 6 </IconAlign>

            <TitleColor> FFFFFF </TitleColor>

            <TitleTop> 12 </TitleTop>

            <TitleLeft> 68 </TitleLeft>

            <TitleRight> 70 </TitleRight>

            <TitleBottom> 30 </TitleBottom>

            <TitleAlignTopLeft> 9 </TitleAlignTopLeft>

            <TitleAlignBottomRight> 3 </TitleAlignBottomRight>

            <TypingColor> 0 </TypingColor>

            <TypingTop> 30 </TypingTop>

            <TypingLeft> 15 </TypingLeft>

            <TypingRight> 15 </TypingRight>

            <TypingBottom> 10 </TypingBottom>

            <TypingAlignTopLeft> 12 </TypingAlignTopLeft>

             <TypingAlignBottomRight> 6 </TypingAlignBottomRight>

            <SplitHorSize> 24 </SplitHorSize>

            <SplitHorPos> 40 </SplitHorPos>

            <SplitVertSize> 10 </SplitVertSize>

            <SplitVertPos> 100 </SplitVertPos>

            </RectElement>

RECT structure is intended for description such parameter window as:

  • Minimum window size.
    •

  • Windows icon coordinates.
    •

  • Optimum background and text colors for current skin.
    •

  • Window splitters size.
    •

  • Colour and location of the window capture text.
    •

  • Coordinates of typing notification region.
    •

RectElement structure parameters:

  1. Mask – Window type mask (such DST_MAIN and ect.)
    2.

  2. ColorBg - Optimal window backgroun color
    3.

  3. ColorText – Optinal text color for current window
    4.

  4. PosX – Minimum window length on X coordinate
    5.

  5. PosY – Minimum window length on Y coordinate
    6.

  6. IconPosX – Icon X coordinate
    7.

  7. IconPosY - Icon Y coordinate
    8.

  8. IconAlign – Align for icons coordinates (IconPosX and IconPosY)
    9.

  9. TitleColor – Window capture text color
    10.

  10. TitleTop - Window capture upper coordinate
    11.

  11. TitleLeft – Window capture left coordinate
    12.

  12. TitleRight – Window capture right coordinate
    13.

  13. TitleBottom - Window capture bottom coordinate
    14.

  14. TitleAlignTopLeft – Align for capture text region (for upper left corner)
    15.

  15. TitleAlignBottomRight – Align for capture text region (for bottom right corner)
    16.

  16. TypingColor - Typing notification text color
    17.

  17. TypingTop – Typing notification upper coordinate
    18.

  18. TypingLeft – Typing notification left coordinate
    19.

  19. TypingRight - Typing notification right coordinate
    20.

  20. TypingBottom – Typing notification bottom coordinate
    21.

  21. TypingAlignTopLeft - Align for typing notification region (for upper left corner)
    22.

  22. TypingAlignBottomRight – Align for typing notification region (for bottom right corner)
    23.

  23. SplitHorSize – Horizontal splitter size
    24.

  24. SplitHorPos - Align from window lower border
    25.

  25. SplitVertSize – Vertical splitter size
    26.

  26. SplitVertPos – Align from window right border
    27.

Avatars xml struture

IM2 ver 1.5 and higher have supported special avatar controls. If skin have no any avatar tags - IM2 couldn't display it.
For description use special xml tag: Avatar

Avatar structure parameters:

            <Avatars>

            <BuddyAvatar Top="13"  Left="13" Right="109" Bottom="109" AlignTopLeft="9"  AlignBottomRight="9" Group="2" Action="48"/>

            <BuddyAvatar Top="31"  Left="13" Right="61"  Bottom="89"  AlignTopLeft="9"  AlignBottomRight="9" Group="3" Action="48"/>

            <OwnAvatar   Top="13"  Left="13" Right="109" Bottom="109" AlignTopLeft="9"  AlignBottomRight="9" Group="4" Action="49"/>

            <OwnAvatar   Top="31"  Left="13" Right="61"  Bottom="89"  AlignTopLeft="9"  AlignBottomRight="9" Group="5" Action="49"/>

            <AvatarArea Width="120" Height="113" Align="Right" Group="2"/>

            <AvatarArea Width="74"  Height="113" Align="Right" Group="3"/>

             <AvatarArea Width="120" Height="113" Align="Right" Group="4"/>

            <AvatarArea Width="74"  Height="113" Align="Right" Group="5"/>

            </Avatars>

RectElement structure parameters:

  1. BuddyAvatar – position of buddy image (for current group parametr)
    2.

  2. OwnAvatar - position for own image (for current group parametr)
    3.

    1. Top	- top image position (from AlignTopLeft DST_AVATAR region's corner)
      2.

    2. Left	- left image position (from AlignTopLeft DST_AVATAR region's corner)
      3.

    3. Right- right image position (from AlignBottomRight DST_AVATAR region's corner)
      4.

    4. Bottom- bottom image position (from AlignBottomRight DST_AVATAR region's corner)
      5.

    5. AlignTopLeft- align for Top and Right parameters
      6.

    6. AlignBottomRight- align for Left and Bottom parameters
      7.

    7. Group- described below
      8.

  3. AvatarArea– size of avatar panel (for current group parametr)
    4.

    1. Width- DST_AVATAR region's width size
      2.

    2. Height- DST_AVATAR region's height size
      3.

    3. Align- DST_AVATAR position (Left or Right values)
      4.

    4. Bottom- bottom image position (from AlignBottomRight DST_AVATAR region's corner)
      5.

Group param description

  • Group = 1  - use one avatar panel for buddy and own avatars with large pictures
    •

  • Group = 2  - use buddy avatar panel with large picture
    •

  • Group = 3  - use buddy avatar panel with small picture
    •

  • Group = 4  - use own avatar panel with large picture
    •

  • Group = 5  - use own avatar panel with small picture
    •

You need to add avatar switch button to your skin xml file. Use ButtonElement tag with ACTION_AVATAR_TOGGLE_BUDDY 0x33 for buddy avatar
 and ACTION_AVATAR_TOGGLE_OWN 0x34 for own avatar. Only for DST_PRIVATE  0x00000004 windows

You can also draw some graphics elements on avatar panel use SkinElement tag with DST_AVATAR 0x04000000

For example if you need some border for user image

Tabbed window xml struture

IM2 ver 1.5 and higher have supported tab controls (containers). If skin have no any special tab tags - IM2 couldn't display it.

If you want emplement tab controls to your own skin you need:

  1. Define special RECT structure with DST_TAB_WND. (see below)
    2.

  2. Define special tab_control structure. (see below)
    3.

        <RectElement Top="0" Left="0" Right="0" Bottom="0" AlignTopLeft="9" AlignBottomRight="6">

        <Mask> 80000000 </Mask>

        </RectElement>

If this tag present IM2 knowns that tab controls supported by current skin

        <tab_structure>
<normal_position>
<left bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Normal_Left.bmp"   width="8" height ="25">
<middle bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Normal_Middle.bmp" width="1" height ="25">
<right bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Normal_Right.bmp"  width="8" height ="25">
<text   textsize ="7" textcolor = "000000"/>
</normal_position>
        <active_position>
<left bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Active_Left.bmp"   width="8" height ="27">
<middle bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Active_Middle.bmp" width="1" height ="27">
<right bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Active_Right.bmp"  width="8" height ="27">
<text   textsize ="9" textcolor = "000000"/>
</active_position>
        <ready_position>
<left bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Ready_Left.bmp"    width="8" height ="25">
<middle bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Ready_Middle.bmp"  width="1" height ="25">
<right bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\Ready_Right.bmp"   width="8" height ="25">
<text   textsize ="7" textcolor = "000000"/>
</ready_position>
<title_line bitmap = ".\\Skins\\VirtualWorld_theme\\Final\\Bitmaps\\TabWindow\\TitleLine.bmp" width="1" height="2"/>
</tab_structure>

tab_structure structure parameters:

  1. normal_position – Information for non-active (Normal) tab condition.
    2.

  2. active_position - Information for active tab condition.
    3.

  3. ready_position - Information for ready tab condition (When incoming new message to non-active tab)
    4.

    • left	- left SkinElement parameters
      •

    • middle - middle SkinElement parameters
      •

    • right- right SkinElement parameters
      •

      1. bitmap- Full path to BMP file
        2.

      2. width- BMP file width
        3.

      3. height- BMP file height
        4.

    • text- tab capture text parameters
      •

      1. textsize- Capture font size
        2.

      2. textcolor- Capture font color
        3.

  4. title_line - Caption line parameters
    5.

    1. bitmap- Full path to BMP file
      2.

    2. width- BMP file width
      3.

    3. height- BMP file height
      4.

Also you need add close button. Use standart ButtonRegion with action: ACTION_TAB_CLOSE.

Booklinks xml struture

IM2 ver 1.5 and higher have supported booklinks on main window. If skin have no any special tab tags - IM2 couldn't display it.

If you want emplement booklinks to your own skin you need to use Booklinks structure:

        <Booklinks>

        <AreaOpened Top="28"  Left="0" Right="36" Bottom="0" AlignTopLeft="9" AlignBottomRight="12"

        <AreaClosed Top="0"   Left="0" Right="0"  Bottom="0" AlignTopLeft="9" AlignBottomRight="12">

        </Booklinks>

Booklinks structure parameters:

  1. AreaOpened – When booklink panel have swithed on.
    2.

  2. AreaClosed - When booklink panel have swithed off.
    3.

    • Top – Upper coordinate on window
      •

    • Left - Left coordinate on window
      •

    • Right – Right coordinate on window
      •

    • Bottom – Lower coordinate on window
      •

    • AlignTopLeft – Point comparatively, which is calculated upper left coordinate (Top  and Left parameters)
      •

    • AlignBottomRight - Point comparatively, which is calculated lower rigth coordinate (Bottom  and Right parameters)
      •

When you switch on booklink panel DST_MAIN changed to DST_BOOKLINK_MAIN. That's why you need to redraw all window (all SkinElement and ButtonsElement)
Also there 2 buttons: Switch on panel and Switch off panel.

One of them displayed on original DST_MAIN window, other on DST_BOOKLINK_MAIN.

Contact list tooptips xml struture

IM2 ver 1.5 and higher have supported skined contact list tooltips. If skin have no any special tab tags - IM2 display old style tooltip.

If you want emplement skined tooltip to you own skin you need to use special tooltip structure:

        <ContactToolti>

        <Font Type="Caption" Family="Arial" Size="10" Bold="1" Italic="0" Color="FF0000"/>

        <Font Type="Title" Family="Arial" Size="13" Bold="1" Italic="1" Color="505000"/>

        <Font Type="SubTitle" Family="Arial" Size="11" Bold="1" Italic="0" Color="505000"/>

        <Font Type="Parameter" Family="Arial" Size="8" Bold="1" Italic="0" Color="0"/>

        <Font Type="Value" Family="Arial" Size="8" Bold="0" Italic="0" Color="0"/>

        <ParameterArea Color="C3E6F3"/>

        <ValueArea Color="DFEFFF"/>

        <Border Color="000000/>

        </ContactToolti>

Contact list tooltip structure parameters:

  1. Font – Description for text style (for current type, see below full list of tooltip text types).
    2.

    • Family – Text font style
      •

    • Size - Text font size
      •

    • Bold – Bold style enabled or disabled
      •

    • Italic – Italic style enabled or disabled
      •

    • Color - Text color (RGB)
      •

  2. ParameterArea - Description for parameter area (set background for parameter area).
    3.

  3. ValueArea - Description for value area (set background for value area Color = RGB and Align = Left or Right).
    4.

  4. ValueArea - Description for value area (set background for value area Color = RGB and Align = Left or Right).
    5.

  5. Border - Description for tooltip border (set color for tooltip border Color = RGB).
    6.

Tooltip text types description

  • Caption  - Tooltip text style (contact, account, group and ect. text in the top of the window)
    •

  • Title   - Tooltip title style (contact screen name)
    •

  • SubTitle  - Tooltip subtitle style (contact login name)
    •

  • Parameter  - Tooltip parametr style (for example: Status, Client-version and ect.)
    •

  • Value  - Tooltip value style (Value for current parament, for example: Status: Online)
    •

P.S. Parametr id in SkinElement uses only for debug versions. You may not use this parameter in you xml document

                Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Skin Development: IM2 window types (DST)

IM2 windows types

IM2 using several window types using:

  • Main window.
  • Console windows.
  • Private windows.
  • Chat windows.
  • Video conversation windows.
    •

The Identifiers of the windows:

  • DST_MAIN 0x00000001
  • DST_CONSOLE 0x00000002
  • DST_PRIVATE 0x00000004
  • DST_CHAT 0x00000008
  • DST_VIDEO_WND 0x20000000
    •

The value of mask parameter is chosen coming from these importances.

Also there is special identifiers:

Identifiers of the protocols:

  • DST_AIM 0x00000010
  • DST_ICQ 0x00000020
  • DST_IRC 0x00000040
  • DST_MSN 0x00000080
  • DST_YAHOO 0x00000100
    •

Identifiers of the special modes:

  • DST_IM2 0x00000200 - Using only for contacts, who using Messenger 2 application
  • DST_VOICE 0x00000400 - Using for contacts with whom you establish audio conversation
  • DST_VIDEO 0x00000800 - Using for contacts with whom you establish video conversation
Identifiers of the horizontal (standard) and vertical (chat) splitters:
  • DST_SPLITTER_HOR 0x00001000
  • DST_SPLITTER_VERT 0x00002000
Other identifiers
  • DST_TEMPORARY 0x00004000 - Temporary contact (display button – Add to contact list).
  • DST_ONLINE 0x00008000 - Contact is online.
  • DST_SECURE 0x00010000 - Using for contacts with whom you establish secure connection (indicate active secure and show pushed button).
  • DST_DCC 0x00020000 - Direct Connection mode actiavted.
  • DST_HISTORY 0x00040000 - Message history disabled.
  • DST_SOUNDS 0x00080000 - Sounds disabled.
  • DST_ONTOP 0x00100000 - On top enabled.
  • DST_BOLD 0x00200000 - Font bold enabled.
  • DST_ITALIC 0x00400000 - Font italic disabled.
  • DST_UNDERLINE 0x00800000 - Font underline enabled.
  • DST_NOT_AT_SERVER 0x10000000 User not availabled in server contact list.
  • DST_LOGINNAME 0x02000000 - Nick name unknown.

New identifiers using in IM2 version 1.5 and higher

  • DST_BOOKLINKMAIN 0x04000000 - New DST_MAIN mask. This DST sets when booklinks are active.
  • DST_AVATAR 0x40000000 - Avatar region mask.
  • DST_TAB_WND 0x80000000 - Tab window region mask.
The example : If necessary to display button Email to friend - on all private windows,
except contacts, who don't using IM2 Messenger application.

Mask = 10FFCDF4

0x00000004 – DST_PRIVATE. Show for all private windows
0x000001F0 – Show for all IM protocols
  • DST_AIM 0x00000010
  • DST_ICQ 0x00000020
  • DST_IRC 0x00000040
  • DST_MSN 0x00000080
  • DST_YAHOO 0x00000100
0x00000400 - DST_VOICE. Show when audio session is active.
0x00000800 - DST_VIDEO. Show when video session is active.
0x00004000 - DST_TEMPORARY. Show for temporary contacts.
0x00008000 - DST_ONLINE. Show for online contacts.
0x00010000 - DST_SECURE - Show for contacts with whom you establish secure connection (indicate active secure and show pushed button).
0x00020000 - DST_DCC - Show when Direct Connection mode has actiavted.
0x00040000 - DST_HISTORY - Show when message history disabled.
0x00080000 - DST_SOUNDS - Show when sounds disabled.
0x00100000 - DST_ONTOP - Show when on top enabled.
0x00200000 - DST_BOLD - Show when font bold enabled.
0x00400000 - DST_ITALIC - Show when font italic disabled.
0x00800000 - DST_UNDERLINE - Show when font underline enabled.
0x10000000 - DST_NOT_AT_SERVER. Show not just for all contacts (local and server).

Display for all windows except DST_IM2 - exclude from mask importance 0x00000200.
And exclude identifiers of the both splitters - 0x00003000
  • DST_SPLITTER_HOR 0x00001000
  • DST_SPLITTER_VERT 0x00002000
Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Skin Development: IM2 buttons actions handlers

There are full list of IM2 Messenger buttons actions:

Window's control actions
  • ACTION_CLOSE_WINDOW_BUTTON --- 0x00
  • ACTION_MINIMIZE_WINDOW_BUTTON --- 0x01
  • ACTION_MAXIMIZE_WINDOW_BUTTON --- 0x02
Main window buttons actions
  • ACTION_ABOUT_PROGRAM_BUTTON --- 0x04
  • ACTION_ACCOUNT_MANAGER_BUTTON --- 0x05
  • ACTION_ADD_FIND_CONTACTS_BUTTON --- 0x06
  • ACTION_PROGRAM_SETTINGS_BUTTON --- 0x07
  • ACTION_GLOBAL_CONNECTIONS_BUTTON --- 0x08
  • ACTION_VIEW_OPTIONS_BUTTON --- 0x09

  • ACTION_AIM_BUTTON --- 0x0A
  • ACTION_ICQ_BUTTON --- 0x0B
  • ACTION_IRC_BUTTON --- 0x0C
  • ACTION_MSN_BUTTON --- 0x0D
  • ACTION_YAHOO_BUTTON --- 0x0E

  • ACTION_BOOKLINK_SWITCH --- 0x32
Chat and private window buttons actions
  • ACTION_SEND_BUTTON --- 0x0F
  • ACTION_SEND_FILE_BUTTON --- 0x10
  • ACTION_USER_INFO_BUTTON --- 0x11
  • ACTION_INVITE_USER_BUTTON --- 0x12
  • ACTION_EMAIL_TO_FRIEND_BUTTON --- 0x13
  • ACTION_ADD_TO_CONTACT_LIST_BUTTON --- 0x15
  • ACTION_DIRECT_CONNECT_ON_BUTTON --- 0x19
  • ACTION_DIRECT_CONNECT_OFF_BUTTON --- 0x1A
  • ACTION_SECURE_CONNECTION_ON_BUTTON --- 0x1B
  • ACTION_SECURE_CONNECTION_OFF_BUTTON --- 0x1C
  • ACTION_AUDIO_CONNECTION_ON_BUTTON --- 0x1D
  • ACTION_AUDIO_CONNECTION_OFF_BUTTON --- 0x1E
  • ACTION_VIDEO_CONNECTION_ON_BUTTON --- 0x25
  • ACTION_VIDEO_CONNECTION_OFF_BUTTON --- 0x26

  • ACTION_AVATAR_TOGGLE_BUDDY --- 0x33
  • ACTION_AVATAR_TOGGLE_OWN --- 0x34

  • ACTION_TAB_CLOSE --- 0x31
Splitters buttons actions
  • ACTION_FONTBOLD_ON_BUTTON --- 0x1F
  • ACTION_FONTBOLD_OFF_BUTTON --- 0x20
  • ACTION_FONTITALIC_ON_BUTTON --- 0x21
  • ACTION_FONTITALIC_OFF_BUTTON --- 0x22
  • ACTION_FONTUNDERLINE_ON_BUTTON --- 0x23
  • ACTION_FONTUNDERLINE_OFF_BUTTON --- 0x24
  • ACTION_BACKGROUD_COLOR_BUTTON --- 0x16
  • ACTION_FOREGROUD_COLOR_BUTTON --- 0x17
  • ACTION_LOCAL_FONT_SETTINGS_BUTTON --- 0x18
  • ACTION_HISTORY_ON_BUTTON --- 0x27
  • ACTION_HISTORY_OFF_BUTTON --- 0x28
  • ACTION_SOUNDS_ON_BUTTON --- 0x29
  • ACTION_SOUNDS_OFF_BUTTON --- 0x2A
  • ACTION_ONTOP_ON_BUTTON --- 0x2B
  • ACTION_ONTOP_OFF_BUTTON --- 0x2C
  • ACTION_SMILES_BUTTON --- 0x2D
Booklink's actions (from IM2 ver 1.5 and higher)
  • ACTION_BOOKLINK_SEARCH --- 0x35
  • ACTION_BOOKLINK_FAVOURITES --- 0x36
  • ACTION_BOOKLINK_MOBILE --- 0x37
  • ACTION_BOOKLINK_ECARDS --- 0x38
  • ACTION_BOOKLINK_FEEDS --- 0x39
  • ACTION_BOOKLINK_HOROSCOPES --- 0x3A
  • ACTION_BOOKLINK_GAMES --- 0x3B
  • ACTION_BOOKLINK_IM2 --- 0x3C
    •
Copyright 2004 - IM2.com, 2004 - All Rights Reserved


Messenger 2 FAQ

  • General Questions About IM2
  • Questions About Using IM2
  • Technical Questions
  • Privacy Questions


Messenger 2 FAQ 1

What is IM2?

IM2 makes it possible to connect with friends using the most popular chat-protocols - AIM, ICQ, IRC, MSN and Yahoo!. In addition to this IM2 gives users the possibility to establish protected chat sessions, in which the conversations cannot be read by anyone, but their participants. IM2 also allows the possibility to hold sonic and video conferences, but only between the users of IM2.

What do I need to use IM2?

IM2 requires Microsoft Windows (98, 98SE, Me, NT, 2000, or XP); 10MB
free on your hard
drive to download and install, and an Internet connection to access the
chat mediums.

Other chat client software is not necessary to be installed to be
connected, but you
will need an account for each medium you want to use.

Is IM2 available for MacOS, Linux, Palm OS, Pocket PC?

Currently IM2 is accessible only for Windows platform.

We are working to port the program to other platforms such as Linux,
PocketPC, SymbianOS, PalmOS.

What does it cost?

At present IM2 is a completely free product.

Can I get IM2 in my favourite language?

Yes, on the official site of the product you can download lingual
packet to use IM2 in
your native language. A lingual tuning editor is built into IM2 and
each user can create
or edit IM2 language at will. If any of our users wants to share
his/her version of
translation into other languages, we'll be glad to publish it on the
official IM2 site.

Does IM2 contain any adware or spyware?

IM2 does not contain adware or spyware.


Messenger 2 FAQ 2

How do I start using IM2?

It is possible to start IM2 from the menu "Start" of the operating system. For this it is necessary to find the folder "Messenger 2" in the menu "Start" and select "Messenger 2".

How do I add a contact?

In order to add a new contact to your list of contacts, it is
necessary to use Contact Manager.
This can be done by pressing on the Contact Manager button in the upper
area of the main window.
Then select the desirable previously created IM-account (AIM, ICQ, IRC,
MSN or Yahoo) in the
list of accounts which you want to add a contact to. Then it is
necessary to select desirable
group in the list of groups or to create a new group to add your new
contact.

Then it is necessary to enter the identifier of your new contact into
the appropriate field. This
should be:

  • ScreenName for AIM
    •

or

  • UIN for ICQ
    •

or

  • NickName for IRC
    •

or

  • .NET passport for MSN or Windows messenger
    •

or

  • Yahoo! ID for Yahoo.
    •

In addition to this, a new contact can be added through pop-up menu on
each account in your list of contacts.

For this it is necessary to select the desirable account from the list
of accounts on the main window and create folder(group) inside selected
account or choose existing folder(group). To
unroll the list of groups click with the left button of the mouse.

Select the desirable folder(group) and press the right button of the
mouse, then select point "Add contact to this folder" in the appeared
menu. Then you will get to Contact Manager window in which the account
and group you need are already selected and to which you'll add your
new contact. You only need to enter the identifier of your new account.

How do I block someone from contacting me?

You need to select the desirable contact in the list of contacts on
the main window and press the right button of the mouse. Then choose
"Privacy List Presence->Block List" in the appeared menu for the
recording of the contact into "Block list".

How do I send an instant message?

You should select the contact you would like to send message to in
the list of contacts on the main window and press the right button of
the mouse. Then you should select the menu item "Send message" in the
appeared menu.

In addition to this, an instant message can be sent by
double-clicking the left button of the mouse on the selected contact in
the list of contacts in the main window.

How do I change my password?

You should visit the official site of the corresponding IM provider
(web.icq.com, messenger.microsoft.com, etc) for changing the password
for the entrance into any your account.

Then you should change the password inside IM2 after its change on
the site. Do it with "Account Manager".

Select desirable account in the list of contacts in the main window and
press the right button of the mouse.

Then select the menu item "Manage this account" and enter into "Account
Manager".

Then select the necessary account and select tab "General".

Enter the new password into the appropriate field.

Press the button "Apply".

How do I delete my instant message history?

Find the folder "Storage" in the folder, where is established IM2.
Find the folder "Log" inside it.
Then select the folder of the corresponding protocol (AIM, ICQ, IRC,
MSM or Yahoo) and select the folder of the corresponding account.

Remove the file of the necessary history of contact inside this
folder.

Remove entire the folder "Storage", if you want to clean the history
of communications completely.

It will be possible to clean message history from program menu in
the following versions of program.

How do I uninstall IM2?

Use the standard procedure Add-or-Remove-Programs in the control
panel of your computer.

How do I use IM2 to make video chat?

You should press the button "Start video communication" on the chat
window and follow further instructions for the establishing of the
video conference.

How do I use IM2 to make audio chat?

You should press the button "Start voice communication" on the chat
window and follow further instructions for the establishing of the
audio conference.

Where can I report bugs to?

You can send the information about the obtained problems or your
wishes from the form on the official website in the section "Contact".

You can send also any information you want from the built-in form. You
may find this form in Preferences->About->Email to us.

Probably you can find information concerning your case(bug) on
appropriate online forum IM2.


Messenger 2 FAQ 3

How do I make my own skins?

You have to download the corresponding information for creating our own skins from official website.

Possibly, someone of the users of IM2 is willing to share its own skin for everybody. We will be glad to publish it on the official website and to indicate the information about the developer.

Why can't I have my webcam been pressed?

Thus far IM2 supports with audio and video of conference only
between users IM2. Possibly, we will be able to realize the support of
multimedia conferences with the original clients in the future.

How can I change the color of the text which I'm sending?

To change color of a single message or part of a single message you
should use appropriate buttons located on chat window (Background
color, Text color, Local font settings). These changes will apply only
to current single message.

To change colors and font settings for incoming/outgoing/system
messages, date&time labels, nickname labels permanently, you should
go to Preferences->Windows->Fonts and chose desirable
look&feel.

Will "normal" MSN messenger and Yahoo be erased after downloading
the IM2?

You shouldn't remove from your computer any other Messengers in
order to use IM2.

As well Messenger 2 will not remove any information (including other
messengers) from your computer.

Is it possible to use a webcam from IM2 to MSN?

This possibility does not exist at present.

Messenger 2 supports only native (Messenger 2 - Messenger 2) video and
audio conferences.

We are working on implementation of this feature. Please check upcoming
releases.

How do I check my e-mails which people send to me?

Checking the MSN and Yahoo mailboxes occurs automatically.

You just need to setup built-in E-Mail checker.

To setup E-Mail checker go to Preferences->E-Mail section.

How do I fix my messenger so that it doesn't pop up every time I
turn on my computer?

You should remove shortcut of Messenger 2 from the Startup system
menu (Start->All Programs->Startup).

How can I get a display picture, like MSN messenger?

At present this possibility is not supported, but in the near future
it will be added.

How can I put a photo?

At present this possibility is not supported, but in the near future
it will be added.

How I can import my contact from my old version?

All new versions of Messenger 2 support the contact lists from the
previous versions.

How can I get an e-mail at Yahoo?

The possibility of the automatic check of mailboxes is build it in
Messenger 2, just like it is implemented in the original MSN and Yahoo
Messengers.


Messenger 2 FAQ 4

Can I get a virus from using IM2?

You cannot obtain any virus with use IM2.

How can I block unwanted people?

Look "How do I block someone from contacting me?"

Can I remove a Contact List entry?

You should select desirable contact in the list of contacts in the
main window
and press right button of the mouse on it. Then select the menu item
"Remove contact".

I'm using a public computer and when I use M2 it's opening my
private accounts automatically. I want to know how to use it for
myself, with passwords, as in regular messengers?

At present you can create the profiles for users,
protected by password and encode the history of messages.
Also we added the password request on each connection to any IM service.